<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.system.model.SystemServiceFlow" table="system_service_flow">
        <id name="id" column="id">
            <generator class="increment"/>
        </id>
        <property name="code" type="java.lang.String">
            <column name="code" length="50">
                <comment>系统标识编码</comment>
            </column>
        </property>
        <property name="name" type="java.lang.String">
            <column name="name" length="255" not-null="true">
                <comment>流程名称</comment>
            </column>
        </property>
        <property name="path" type="java.lang.String">
            <column name="path" length="255">
                <comment>流程路径</comment>
            </column>
        </property>
        <property name="chart" type="java.lang.String">
            <column name="chart" length="255">
                <comment>流程图路径</comment>
            </column>
        </property>
        <property name="description" type="java.lang.String">
            <column name="description" length="255">
                <comment>描述</comment>
            </column>
        </property>
        <property name="valid" type="java.lang.Integer">
            <column name="valid" length="50">
                <comment>状态</comment>
            </column>
        </property>
        <property name="createDate" type="java.util.Date">
            <column name="create_date" length="10">
                <comment>创建时间</comment>
            </column>
        </property>
        <property name="fileType" type="java.lang.String">
            <column name="file_type" length="50">
                <comment>类型</comment>
            </column>
        </property>
    </class>
</hibernate-mapping>
